<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://themeatelier.net
 * @since             1.0.0
 * @package           Domina_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       Domina Pro
 * Plugin URI:        https://https://wp-plugins.themeatelier.net/domina
 * Description:       Domain Sale And Auction WordPress Plugin
 * Version:           1.0.0
 * Author:            20script
 * Author URI:        https://www.20script.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       domina-pro
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('DOMINA_PRO_VERSION', '1.0.0');
// Define constants for plugin directory path.
if (!defined('DOM_DIR_PATH'))
	define('DOM_DIR_PATH', plugin_dir_path(__FILE__));
if (!defined('DOM_DIR_URL'))
	define('DOM_DIR_URL', plugin_dir_url(__FILE__));
/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-domina-pro-activator.php
 */
function domina_pro_activate()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-domina-pro-activator.php';
	Domina_Pro_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-domina-pro-deactivator.php
 */
function domina_pro_deactivate()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-domina-pro-deactivator.php';
	Domina_Pro_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'domina_pro_activate');
register_deactivation_hook(__FILE__, 'domina_pro_deactivate');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-domina-pro.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function domina_pro_run()
{

	$plugin = new Domina_Pro();
	$plugin->run();
}
domina_pro_run();
