<?php $options = get_option('dom_opt');
$dom_feature_list = isset($options['dom_feature_list']) ? $options['dom_feature_list'] : '';
$dom_social_media = isset($options['dom_social_media']) ? $options['dom_social_media'] : '';
$dom_features = isset($options['dom_features']) ? $options['dom_features'] : '';
?>
<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <?php if ($options['dom_sitetitle']) : ?>
      <!-- Document Title -->
      <title><?php echo esc_html($options['dom_sitetitle']); ?></title>
   <?php endif; ?>
   <?php if ($options['dom_sitedescription']) : ?>
      <!-- Meta -->
      <meta name="description" content="<?php echo esc_attr($options['dom_sitedescription']); ?>">
   <?php endif; ?>
   <?php if ($options['dom_sitekeywords']) : ?>
      <meta name="keywords" content="<?php echo esc_attr($options['dom_sitekeywords']); ?>">
   <?php endif; ?>
   <?php if ($options['dom_favicon']) : ?>
      <!-- Favicon -->
      <link rel="shortcut icon" href="<?php echo esc_url($options['dom_favicon']); ?>" type="image/x-icon">
   <?php endif; ?>

   <?php wp_head(); ?>
</head>

<body class="demo-1 loading">
   <!-- ========== Preloader Start ========== -->
   <?php if ($options['dom_loader']) : ?>
      <div class="loader-wrapper">
         <div class="loader"></div>
      </div>
   <?php endif; ?>
   <!-- ========== Preloader End ========== -->

   <!-- ========== Main Start ========== -->

   <main>
      <div class="content content--intro">
         <div class="content__inner">
            <section class="hero-area">
               <header class="position-relative header-area p-25px-t">
                  <div class="container">
                     <div class="row">
                        <div class="col-lg-12">
                           <a href="<?php echo home_url("/") ?>"><img src="<?php echo esc_url($options['dom_logo']['url']) ?>" alt="<?php echo esc_attr($options['dom_logo']['alt']) ?>"></a> <!-- Change your logo here -->
                        </div>
                     </div>
                  </div>
               </header>
               <div class="left-shape primary-bg"></div>
               <div class="container">
                  <div class="row full-height align-items-center">
                     <!-- left Content end -->
                     <div class="col-lg-6 p-50px-t p-50px-b md-p-10px-b">
                        <?php if ($options['dom_domainname'] || $options['dom_saletitle']) : ?>
                           <h2 class="m-25px-b">
                              <span class="domain-name"><?php echo esc_html($options['dom_domainname']); ?></span> <br> <span class="domain-offer"><?php echo esc_html($options['dom_saletitle']) ?></span>
                           </h2>
                        <?php endif;
                        if ($options['dom_content']) : ?>
                           <p class="m-25px-b"><?php echo wp_kses_post($options['dom_content']); ?></p>
                        <?php endif;
                        if ($dom_feature_list) : ?>
                           <ul class="feature-list">
                              <?php foreach ($dom_feature_list as $dom_feature_list) : ?>
                                 <li><?php echo esc_html($dom_feature_list['feature_text']) ?></li>
                              <?php endforeach; ?>
                           </ul>
                        <?php endif;
                        if ($options['dom_pricetag']) : ?>
                           <div class="hero-btn-wrapper">
                              <span class="domain-offering"><?php echo wp_kses_post($options['dom_pricetag']); ?></span>
                              <a class="btn btn-default enter" href="#"><?php echo esc_html($options['dom_offer_btn']); ?></a>
                           </div>
                        <?php endif;
                        if ($dom_social_media) :
                        ?>
                           <ul class="social-links">
                              <?php foreach ($dom_social_media as $contact) {
                              ?>
                                 <li><a href="<?php echo esc_url($contact['social_link']) ?>"><i class="<?php echo esc_attr($contact['social_icon']); ?>"></i></a></li>
                              <?php
                              } ?>
                           </ul>
                        <?php endif; ?>
                     </div>
                     <!-- left Content end -->

                     <!-- Right Content start -->
                     <?php if ($options['dom_right_image']) : ?>
                        <div class="col-lg-6 p-50px-t p-50px-b md-p-10px-t text-lg-right text-center">
                        <img src="<?php echo esc_url($options['dom_right_image']['url']) ?>" alt="<?php echo esc_attr($options['dom_right_image']['alt']) ?>">
                        </div>
                     <?php endif; ?>
                     <!-- Right Content end -->
                  </div>
               </div>
               <svg height="0" width="0">
                  <clipPath id="svgPath">
                     <path fill="#FFFFFF" stroke="#000000" stroke-width="1.5794" stroke-miterlimit="10" d="M215,100.3c97.8-32.6,90.5-71.9,336-77.6
                           c92.4-2.1,98.1,81.6,121.8,116.4c101.7,149.9,53.5,155.9,14.7,178c-96.4,54.9,5.4,269-257,115.1c-57-33.5-203,46.3-263.7,20.1
                           c-33.5-14.5-132.5-45.5-95-111.1C125.9,246.6,98.6,139.1,215,100.3z" />
                  </clipPath>
               </svg>
            </section>
         </div>
         <div class="shape-wrap">
            <svg class="shape" width="100%" height="100vh" preserveAspectRatio="none" viewBox="0 0 1440 800">
               <path d="M -44,-50 C -52.71,28.52 15.86,8.186 184,14.69 383.3,22.39 462.5,12.58 638,14 835.5,15.6 987,6.4 1194,13.86 1661,30.68 1652,-36.74 1582,-140.1 1512,-243.5 15.88,-589.5 -44,-50 Z" pathdata:id="M -44,-50 C -137.1,117.4 67.86,445.5 236,452 435.3,459.7 500.5,242.6 676,244 873.5,245.6 957,522.4 1154,594 1593,753.7 1793,226.3 1582,-126 1371,-478.3 219.8,-524.2 -44,-50 Z"></path>
            </svg>
         </div>
      </div>
      <!-- Offer modal start -->
      <div class="content content--fixed">
         <div class="content__inner">
            <div class="left-shape primary-bg"></div>
            <div class="container">
               <div class="row full-height align-items-center position-relative">
                  <?php if ($options['dom_domainname']) : ?>
                     <h1 class="text-bg"><?php echo esc_html($options['dom_domainname']) ?></h1>
                  <?php endif; ?>
                  <div class="col-md-12 p-50px-t p-50px-b md-p-10px-b">
                     <?php if ($options['dom_formtitle']) : ?>
                        <div class="hero-area text-center">
                           <h1 class="m-50px-b lg-m-25px-b"><span class="domain-offer"><?php echo esc_html($options['dom_formtitle']) ?></span></h1>
                        </div>
                     <?php endif; ?>
                     <div class="row">
                        <div class="offset-sm-1 col-sm-10">
                           <div class="offer-form-wrap shadow-1 p-50px sm-p-15px m-15px-b">
                              <?php echo do_shortcode('[dom_contact_form]'); ?>
                           </div>
                           <?php if ($dom_features) : ?>
                              <ul class="domain-feature">
                                 <?php foreach ($dom_features as $dom_feature) : ?>
                                    <li><?php echo esc_html($dom_feature['dom_feature']) ?></li>
                                 <?php endforeach; ?>
                              </ul>
                           <?php endif; ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <a class="next-demo" href="<?php echo home_url("/") ?>"><?php echo esc_html($options['dom_back_home']) ?> <i class="fas fa-arrow-right"></i></a>
         </div>
      </div>
      <!-- Offer modal start -->
   </main>
   <!-- ========== Main End ========== -->

   <?php wp_footer(); ?>
</body>

</html>