<?php $options = get_option('dom_opt');
$dom_contact_info = $options['dom_contact_info'];
$dom_social_media = $options['dom_social_media'];
$dom_features = $options['dom_features'];
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ($options['dom_sitetitle']) : ?>
        <!-- Document Title -->
        <title><?php echo esc_html($options['dom_sitetitle']); ?></title>
    <?php endif; ?>
    <?php if ($options['dom_sitedescription']) : ?>
        <!-- Meta -->
        <meta name="description" content="<?php echo esc_attr($options['dom_sitedescription']); ?>">
    <?php endif; ?>
    <?php if ($options['dom_sitekeywords']) : ?>
        <meta name="keywords" content="<?php echo esc_attr($options['dom_sitekeywords']); ?>">
    <?php endif; ?>
    <?php if ($options['dom_favicon']) : ?>
        <!-- Favicon -->
        <link rel="shortcut icon" href="<?php echo esc_url($options['dom_favicon']); ?>" type="image/x-icon">
    <?php endif; ?>

    <?php wp_head(); ?>
</head>

<body>
    <!-- ========== Preloader Start ========== -->
    <?php if ($options['dom_loader']) : ?>
        <div class="loader-wrapper">
            <div class="loader"></div>
        </div>
    <?php endif; ?>
    <!-- ========== Preloader End ========== -->

    <!-- ========== Main Start ========== -->
    <section class="hero-area position-relative">
        <div class="left-bg-area bg-area"></div>
        <div id="particles" class="right-bg-area bg-area"></div>
        <div class="container">
            <div class="row position-absolute m-20px-t">
                <div class="col-sm-12">
                    <a href="<?php echo home_url("/") ?>"><img src="<?php echo esc_url($options['dom_logo']['url']) ?>" alt="<?php echo esc_attr($options['dom_logo']['alt']) ?>"></a> <!-- Change your logo here -->
                </div>
            </div>

            <div class="row full-height align-items-center">
                <!-- Left Content start -->
                <div class="col-md-6 col-md-6 p-100px-t p-50px-b light-text">
                    <?php if ($options['dom_domainname'] || $options['dom_saletitle']) : ?>
                        <h2 class="m-25px-b">
                            <span class="domain-name"><?php echo esc_html($options['dom_domainname']); ?></span> <br> <span class="domain-offer"><?php echo esc_html($options['dom_saletitle']) ?></span>
                        </h2>
                    <?php endif;
                    if ($options['dom_content']) : ?>
                        <p class="m-25px-b"><?php echo wp_kses_post($options['dom_content']); ?></p>
                    <?php endif;
                    if ($options['make_an_offer']) : ?>
                        <p><b><?php echo esc_html($options['make_an_offer']) ?></b></p>
                    <?php endif;
                    if ($options['dom_pricetag']) : ?>
                        <div class="domain-offering domain-offering-fill"><?php echo wp_kses_post($options['dom_pricetag']) ?></div>
                    <?php endif;
                    if ($dom_contact_info) :
                    ?>
                        <div class="contact-info">
                            <?php foreach ($dom_contact_info as $contact_info) : ?>
                                <p><i class="<?php echo esc_attr($contact_info['info_icon']) ?>"></i> &nbsp; <?php echo esc_html($contact_info['info_name']) ?></p>
                            <?php endforeach; ?>
                        </div>
                    <?php endif;
                    if ($dom_social_media) :
                    ?>
                        <ul class="social-links">
                            <?php foreach ($dom_social_media as $social_media) : ?>
                                <li><a href="<?php echo esc_url($social_media['social_link']) ?>"><i class="<?php echo esc_attr($social_media['social_icon']) ?>"></i></a></li>
                            <?php endforeach; ?>
                        </ul>
                    <?php endif; ?>
                </div>
                <!-- Left Content end -->

                <!-- Right Content start -->
                <div class="col-md-6 p-100px-t p-50px-b md-p-0px-t hero-right">
                    <div class="hero-area text-center m-50px-b sm-m-25px-b">
                        <h1 class="m-15px-b md-color-light"><?php echo esc_html($options['dom_formtitle']) ?></h1>
                        <?php if ($dom_features) : ?>
                            <ul class="domain-feature md-color-light">
                                <?php foreach ($dom_features as $dom_feature) : ?>
                                    <li><?php echo esc_html($dom_feature['dom_feature']); ?></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="offer-form-wrap">
                                <?php echo do_shortcode('[dom_contact_form]'); ?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Right Content end -->
            </div>
        </div>
    </section>
    <!-- ========== End Start ========== -->

    <?php wp_footer(); ?>
</body>

</html>